#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# 2024 Marius Pana <mp@spearhead.systems>

from pathlib import Path
from typing import Any

from .bakery_api.v1 import (
   OS,
   DebStep,
   RpmStep,
   SolStep,
   Plugin,
   PluginConfig,
   SystemBinary,
   WindowsConfigEntry,
   register,
   FileGenerator,
   ScriptletGenerator,
   WindowsConfigGenerator,
   quote_shell_string,
)

def get_selinux_files(conf: Any) -> FileGenerator:
    yield Plugin(base_os=OS.LINUX, source=Path("selinux"))

register.bakery_plugin(
    name="selinux",
    files_function=get_selinux_files,
)